#!/bin/sh
#
# "Mount using TrueCrypt" Konqueror context menu entry program
#
# Copyright (C) 2007-2019 Bogdan 'bogdro' Drozdowski, bogdandr # op . pl
#	[EN] http://bogdro.evai.pl/soft/
#
# This file may be used only according to the licence of Konqueror itself.
#

if ( test "x$1" = "x" ); then

	echo -n "Enter TrueCrypt volume path: "
	read v

	if ( test "x$v" = "x" || ! test -e "$v" ); then

		exit 1
	fi
else
	v=$1
fi;

if ( test "x$2" = "x" ); then

	echo -n "Enter destination directory: "
	read d

	if ( test "x$d" = "x" || ! test -e "$d" ); then

		exit 2
	fi
else
	d=$2
fi;

[[ ! -d $d ]] && (mkdir -p $d || exit 3)
#[[ -d $d ]] && truecrypt -u $v $d	# -u was the "user mount" option in TrueCrypt 4.3
[[ -d $d ]] && truecrypt $v $d

exit $?
