#!/bin/sh
#
# "Decrypt using OpenSSL" Konqueror context menu entry - program.
#
# Copyright (C) 2007-2019 Bogdan 'bogdro' Drozdowski, bogdandr # op . pl
#	[EN] http://bogdro.evai.pl/soft/
#
# This file may be used only according to the licence of Konqueror itself.
#


if ( test "x$1" = "x" ); then

	exit 1;
fi;

name=`echo $1 | sed 's/\.enc$//'`

if ( test -f $name ); then

	name="$name.dec"
fi

openssl enc -bf -a -in $1 -d -out $name
exit $?
